Release 5.6.0 (1195)
Closed, ResolvedPublic

Description

Release version: 5.6.0 (1195)
Release tag: releases/5.6.0
Release SHA1: 237cddbab1e5e6f6ee1641a9f5e475f367950d52
App Store Submission Date: 8/4/2017
App Store Approval Date: 8/7/2017
App Store Release Date: 8/7/2017
Regression Testing Task: T172329


  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing

[post wikimania] Coordinate with Comms on blog post for major releases (major features)

  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC to External testers
  • Distribute RC to TSG
  • Post to mobile-l when Beta is approved for external testing
  • Update "What’s New" on iTunes Connect
  • Review App Store description, and determine if we need to update
  • Upload new screenshots & app icons to iTunes Connect (T172424)
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received in HockeyApp
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Point current status at this card
  • Update version number in feedback email link
  • Update HockeyApp console to mark build as released once released
  • Notify Comms to post on Twitter and Facebook
  • Post on mobile-l
JMinor created this task.Jul 24 2017, 9:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 24 2017, 9:42 PM
JMinor updated the task description. (Show Details)Jul 24 2017, 9:43 PM
JMinor triaged this task as High priority.
JMinor added a comment.Aug 4 2017, 5:12 PM

Draft New Whats New Text

Dark mode! Read in comfort with new Appearance controls, including dark mode and image dimming. Make those late night Wikipedia sessions easier on the eyes. Choose between sepia, dark or white themes to read Wikipedia your way!

On this Day - A new card in the Explore feed highlights events that occurred on this day in history. Use the timeline to swipe back through time and read about the amazing past of every day.

iMessage Stickers - Message a friend to tell them you're lost in a Wikipedia rabbit hole! Post a "Citation Needed" sticker when a relative sends you Fake News. Now you can say it in a wiki-way, with Wikipedia stickers for iMessage.

This release also includes a number of other use-ability improvements and bug fixes.

Draft Addition to the App Description

  • NEW: Appearance controls let you read Wikipedia in comfort, with dark mode, text size control and image dimming to customize how you read.

Promotional Text

  • New DARK MODE and other appearance controls make this the most comfortable way to read Wikipedia yet.
JMinor updated the task description. (Show Details)Aug 4 2017, 5:16 PM
Mhurd added a comment.Aug 4 2017, 5:19 PM

On this Day - A new card in the Explore feed highlights events that occurred on this day in history. Use the timeline to swipe back through time and read about the amazing past of every day.

Do we want to call out launch langs and say more coming soon?

Mhurd added a comment.Aug 4 2017, 5:22 PM
Post a "Citation Needed" sticker when a relative sends you Fake News.

lol :)

JMinor renamed this task from Release 5.6.0 (11TBD) to Release 5.6.0 (1194).Aug 4 2017, 6:22 PM
JMinor updated the task description. (Show Details)
JMinor updated the task description. (Show Details)
JMinor renamed this task from Release 5.6.0 (1194) to Release 5.6.0 (1195).Aug 7 2017, 11:40 PM
JMinor updated the task description. (Show Details)
JMinor moved this task from Doing to Ready for PM Signoff on the iOS-app-v5.6.0-Goat-On-A-Train board.

@JoeWalsh can you make the github release tag when you get a chance, thanks...

JMinor closed this task as Resolved.Aug 14 2017, 7:11 PM
JMinor updated the task description. (Show Details)